"""
Provider configurations - DO NOT EDIT MANUALLY
Use tools/update_providers.py to update this file
via https://github.com/CherryHQ/cherry-studio/blob/main/src/renderer/src/config/providers.ts"""

PROVIDER_CONFIG = {
    "aihubmix": {
        "base_url": "https://aihubmix.com",
    },
    "anthropic": {
        "base_url": "https://api.anthropic.com/",
    },
    "azure-openai": {
        "base_url": "",
    },
    "baichuan": {
        "base_url": "https://api.baichuan-ai.com",
    },
    "baidu-cloud": {
        "base_url": "https://qianfan.baidubce.com/v2/",
    },
    "dashscope": {
        "base_url": "https://dashscope.aliyuncs.com/compatible-mode/v1/",
    },
    "deepseek": {
        "base_url": "https://api.deepseek.com",
    },
    "dmxapi": {
        "base_url": "https://www.dmxapi.cn",
    },
    "doubao": {
        "base_url": "https://ark.cn-beijing.volces.com/api/v3/",
    },
    "fireworks": {
        "base_url": "https://api.fireworks.ai/inference",
    },
    "gemini": {
        "base_url": "https://generativelanguage.googleapis.com",
    },
    "gitee-ai": {
        "base_url": "https://ai.gitee.com",
    },
    "github": {
        "base_url": "https://models.inference.ai.azure.com/",
    },
    "graphrag-kylin-mountain": {
        "base_url": "",
    },
    "grok": {
        "base_url": "https://api.x.ai",
    },
    "groq": {
        "base_url": "https://api.groq.com/openai",
    },
    "hunyuan": {
        "base_url": "https://api.hunyuan.cloud.tencent.com",
    },
    "hyperbolic": {
        "base_url": "https://api.hyperbolic.xyz",
    },
    "infini": {
        "base_url": "https://cloud.infini-ai.com/maas",
    },
    "jina": {
        "base_url": "https://api.jina.ai",
    },
    "lmstudio": {
        "base_url": "http://localhost:1234",
    },
    "minimax": {
        "base_url": "https://api.minimax.chat/v1/",
    },
    "mistral": {
        "base_url": "https://api.mistral.ai",
    },
    "modelscope": {
        "base_url": "https://api-inference.modelscope.cn/v1/",
    },
    "moonshot": {
        "base_url": "https://api.moonshot.cn",
    },
    "nvidia": {
        "base_url": "https://integrate.api.nvidia.com",
    },
    "o3": {
        "base_url": "https://api.o3.fan",
    },
    "ocoolai": {
        "base_url": "https://api.ocoolai.com",
    },
    "ollama": {
        "base_url": "http://localhost:11434",
    },
    "openai": {
        "base_url": "https://api.openai.com",
    },
    "openrouter": {
        "base_url": "https://openrouter.ai/api/v1/",
    },
    "perplexity": {
        "base_url": "https://api.perplexity.ai/",
    },
    "ppio": {
        "base_url": "https://api.ppinfra.com/v3/openai",
    },
    "silicon": {
        "base_url": "https://api.siliconflow.cn",
    },
    "stepfun": {
        "base_url": "https://api.stepfun.com",
    },
    "tencent-cloud-ti": {
        "base_url": "https://api.lkeap.cloud.tencent.com",
    },
    "together": {
        "base_url": "https://api.tohgether.xyz",
    },
    "xirang": {
        "base_url": "https://wishub-x1.ctyun.cn",
    },
    "yi": {
        "base_url": "https://api.lingyiwanwu.com",
    },
    "zhinao": {
        "base_url": "https://api.360.cn",
    },
    "zhipu": {
        "base_url": "https://open.bigmodel.cn/api/paas/v4/",
    },
}
